// -*-C++-*-
/*!
 * @file  com_rh707SVC_impl.h
 * @brief Service implementation header of com_rh707.idl
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include "com_rh707Skel.h"
extern "C"
{
  #include "hand_library.h"
};


#ifndef COM_RH707SVC_IMPL_H
#define COM_RH707SVC_IMPL_H
 
/*!
 * @class ComRH707SVC_impl
 * Example class implementing IDL interface ComRH707
 */
class ComRH707SVC_impl
 : public virtual POA_ComRH707,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~ComRH707SVC_impl();

 public:
  /*!
   * @brief standard constructor
   */
   ComRH707SVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~ComRH707SVC_impl();

   // attributes and operations
   CORBA::Short InitHand();
   CORBA::Short OpenHand(CORBA::Short slow);
   CORBA::Short CloseHand();
   CORBA::Short GetHandCond(CORBA::UShort& cond);
   CORBA::Short StopHand();

   unsigned char prev_cond;
   int           cond_cnt;
};


#endif // COM_RH707SVC_IMPL_H


